com.google.gwt.user.cellview.client

## Interface CellTree.BasicResources

All Superinterfaces:
  CellTree.Resources, ClientBundle

Enclosing class:
  CellTree

    public static interface CellTree.BasicResources
    extends CellTree.Resources

Resources that match the GWT standard style theme.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageResource` `cellTreeClosedItem()` An image indicating a closed branch.
`ImageResource` `cellTreeLoading()` An image indicating that a node is loading.
`ImageResource` `cellTreeOpenItem()` An image indicating an open branch.
`CellTree.BasicStyle` `cellTreeStyle()` The styles used in this widget.

### Methods inherited from interface com.google.gwt.user.cellview.client.CellTree.Resources

`cellTreeSelectedBackground`

### Method Detail

#### cellTreeClosedItem

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTreeClosedItem()

Description copied from interface: `CellTree.Resources`
An image indicating a closed branch.

Specified by:
  `cellTreeClosedItem` in interface `CellTree.Resources`

#### cellTreeLoading

    @ImageResource.ImageOptions(flipRtl=true)
     @ClientBundle.Source(value="cellTreeLoadingBasic.gif")
    ImageResource cellTreeLoading()

Description copied from interface: `CellTree.Resources`
An image indicating that a node is loading.

Specified by:
  `cellTreeLoading` in interface `CellTree.Resources`

#### cellTreeOpenItem

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTreeOpenItem()

Description copied from interface: `CellTree.Resources`
An image indicating an open branch.

Specified by:
  `cellTreeOpenItem` in interface `CellTree.Resources`

#### cellTreeStyle

    @ClientBundle.Source(value="com/google/gwt/user/cellview/client/CellTreeBasic.css")
    CellTree.BasicStyle cellTreeStyle()

The styles used in this widget.

Specified by:
  `cellTreeStyle` in interface `CellTree.Resources`